Inhalte

# Funktion DateValue

Gibt ein Objekt Date von einer Zeichenfolge zurück, die ein Datum darstellt.

Das zurückgegebene Objekt wird intern als einzelner numerischer Wert dargestellt, der dem angegebenen Datum entspricht. Dieser Wert kann verwendet werden, um die Anzahl der Tage zwischen zwei Daten zu berechnen.

### Syntax:

      DateValue(Datum als String)

### Parameter:

date: Eine Zeichenfolge, die das Datum enthält, das in ein Objekt Date konvertiert wird.

Die an DateValue übergebene Zeichenfolge muss in einem der für Ihre Gebietsschemaeinstellung definierten Datumsformate ausgedrückt werden (wählen Sie LibreOffice – Einstellungen Extras – Optionen… – Sprachen und Gebietsschemata – Allgemein) oder das ISO-Datumsformat verwenden „JJJJ-MM-TT“ (Jahr, Monat und Tag durch Bindestriche getrennt).

### Rückgabewert:

Date.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleDateValue
          Dim aDate As Date
          aDate = DateValue("2021-12-20")
          ' Druckt das lokalisierte Datum
          MsgBox aDate
          ' Extrahiert Jahr, Monat und Tag aus dem Datumsobjekt
          MsgBox Year(aDate)
          MsgBox Month(aDate)
          MsgBox Day(aDate)
          ' Druckt den dem Datum entsprechenden numerischen Wert (als Typ "Long")
          MsgBox CLng(aDate)
      End Sub

Verwandte Themen

Funktion DateSerial